package net.knarcraft.minstrel;

import net.citizensnpcs.api.CitizensAPI;
import net.citizensnpcs.api.npc.NPC;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;

/**
 * A listener for events where a player isn't hearing music when they should
 */
public class PlayerListener implements Listener {

    @EventHandler
    public void playerJoinListener(PlayerJoinEvent event) {
        for (NPC npc : CitizensAPI.getNPCRegistry()) {
            if (npc.hasTrait(MinstrelTrait.class)) {
                MinstrelPlugin.getTestPlaylist().play(npc.getTraitNullable(MinstrelTrait.class), event.getPlayer());
            }
        }
    }

}
